package com.nisum.webfluxmongodbordermanagement.entity;

import lombok.*;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Getter
@Setter
@Document(collection = "orders")
public class Order {
    @Id
    private String orderId;
    @Field("user_Id")
    private String userId;
    @Field("transaction_Id")
    private String transactionId;
    @Field("tracking_Id")
    private String trackingId;
    @Field("status")
    private String status;
}
