package com.nisum.webfluxmongodbordermanagement.entity;

import lombok.*;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

import java.util.List;
@Data
@AllArgsConstructor
@NoArgsConstructor
@Setter
@Getter
@Document(collection = "user")
public class User {
    @Id
    private String userId;
    @Field("user_Name")
    private String userName;
    @Field("email_Id")
    private String emailId;
    @Field("order_Id")
    private String orderId;

    private List<Order> orders;
}
