package com.nisum.webfluxmongodbordermanagement.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Field;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class UserOrders {

    @Id
    private String _id;
    @Field("user_Id")
    private String userId;
    @Field("user_Name")
    private String userName;
    @Field("email_Id")
    private String emailId;
    @Field("order_Id")
    private String orderId;

    private List<Order> orders;
}